Adobe Fuse CC (Beta) 2015 system requirements

Windows

  • Microsoft Windows 7, Windows 8, Windows 8.1, or Windows 10
  • 4 GB of RAM (8 GB recommended)
  • 5.5 GB of available hard-disk space for installation
  • OpenGL 2.2+ capable system
  • 1024 x 768 display (minimum resolution) with 16-bit color and 512 MB of VRAM (1 GB recommended)
  • Internet connection and registration are necessary for required software activation, validation of subscriptions, and access to online services.**

Mac OS

  • Mac OS X v10.8, v10.9, v 10.10, or v10.11
  • 4 GB of RAM (8 GB recommended)
  • 5.5 GB of available hard-disk space for installation
  • OpenGL 2.2+ capable system
  • 1024 x 768 display (minimum resolution) with 16-bit color and 512 MB of VRAM (1 GB recommended)
  • Internet connection and registration are necessary for required software activation, membership validation, and access to online services.**

**NOTICE TO USERS. Internet connection, Adobe ID and acceptance of license agreement required to activate and use this product. This product may integrate with or allow access to certain Adobe or third-party hosted online services. Adobe services are available only to users 13 years and older and require agreement to additional terms of use and Adobe’s online privacy policy (see http://www.adobe.com/aboutadobe/legal.html). Applications and Services may not be available in all countries or languages and may be subject to change or discontinuation without notice. Additional fees or membership charges may apply.

Language versions

Adobe Fuse CC (Beta) is available as an English-only desktop app in all geographies where Creative Cloud is offered, with the exception of France and Quebec.

Mixamo Store system requirements

Note:

Important notice for Mixamo customers.
We’re retiring features and services on this site, learn how this affects you. Visit http://blogs.adobe.com/adobecare/2017/05/23/download-assets-from-mixamo/.

Characters created in Adobe Fuse CC (Beta) can be uploaded to an online animation service from Adobe called Mixamo.  The Mixamo Store utilizes WebGL, which is required to use the online animation and rigging services. To check if your browser is WebGL compatible, you can perform a compatibility test. The following are the recommended browsers:
 
  • Internet Explorer 11
  • Edge 12, 13
  • Firefox 38+
  • Chrome 31+
  • Safari 8+

This work is licensed under a Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License  Twitter™ and Facebook posts are not covered under the terms of Creative Commons.

Legal Notices   |   Online Privacy Policy